<?php
/**
 * All of the custom premium plugin filters.
 *
 * Functions that are not pluggable (not wrapped in function_exists()) are
 * instead attached to a filter or action hook.
 *
 * For more information on hooks, actions, and filters,
 * {@link https://codex.wordpress.org/Plugin_API}
 *
 * @package Collect
 * @since Collect 1.0
 *
 * Namespace prefix abc_ = Alphabet Themes
 * All functions in this file are part of the Alphabet Themes framework.
 */

add_filter( 'abc_custom_color_defaults', 'collect_custom_color_defaults' );
if ( ! function_exists( 'collect_custom_color_defaults' ) ) {
	function collect_custom_color_defaults() {
		return array(
			'page_background_color' => '#ffffff',
			'site_title_color' => '#000',
			'site_description_color' => '#141414',
			'headers_color' => '#000',
			'main_text_color' => '#141414',
			'post_title_color' => '#141414',
			'post_meta_color' => '#141414',
			'link_color' => '#ed4c54',
			'link_hover_color' => '#d7161f',
		);
	}
}

add_filter( 'abc_fonts_manager_google_fonts_defaults', 'collect_fonts_manager_google_fonts_defaults' );
if ( ! function_exists( 'collect_fonts_manager_google_fonts_defaults' ) ) {
	function collect_fonts_manager_google_fonts_defaults() {
		return array(
			'Ubuntu' => array(
				'weight' => '300,400,400italic,500,700,700italic',
				'css' => '"Ubuntu", sans-serif',
			),
			'Open Sans' => array(
				'weight' => '400,400italic,700,700italic',
				'css' => '"Open Sans", sans-serif',
			),
	    );
	}
}

add_filter( 'abc_fonts_manager_defaults', 'collect_fonts_manager_defaults' );
if ( ! function_exists( 'collect_fonts_manager_defaults' ) ) {
	function collect_fonts_manager_defaults() {
		return array(
			'site_title_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'site_title_font_size' => '32',
			'site_description_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'site_description_font_size' => '16',
			'main_text_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'main_text_font_size' => '18',
			'headers_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'post_title_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'post_title_font_size' => '48',
			'post_meta_font' => 'Ubuntu||"Ubuntu", sans-serif',
			'post_meta_font_size' => '14',
		);
	}
}