( function( $ ) {
	$( '.main-navigation' )
		.find( '.menu-item-has-children > a' ).after( '<i class="fa fa-caret-down"></i>' )
		.end()
		.find( '.menu-item-has-children i' ).on( 'click', function() {
			var $el = $(this),
				$parent = $el.parent();

			$el.parent().parent().find( 'li' ).not( $parent ).removeClass( 'sub-menu-open' );
			$el.parent().toggleClass( 'sub-menu-open' );
		} );

	$( '.nav-open' ).click( function() {
		$( 'body' ).toggleClass( 'menu-open' );
	} );

	$( '.nav-search' ).click( function() {
		$( 'body' ).addClass( 'search-open' );
		$( '.search-bar' ).find( '.search-field' ).focus();
	} );

	$( '#page' ).on( 'click', '.close-search', function() {
		$( 'body' ).removeClass( 'search-open' );
	} );

	// Masonry for home page
	var $container = $( '#masonry' ),
		resizeTimer, $new_items;

	if ( 0 !== $container.length ) {
		$container.imagesLoaded( function(){
			if ( $( 'body' ).hasClass( 'rtl' ) ) {
				$container.masonry( {
					itemSelector: '.front-box',
					isOriginLeft: false
				} );
			} else {
				$container.masonry( {
					itemSelector: '.front-box',
				} );
			}

			// Show the blocks
			$( '.home-container, .featured-container' ).css( { opacity: 1 } );
	    } );

		$( document.body ).on( 'post-load', function () {
			$new_items = $( '.infinite-wrap .front-box' );

			$container.append( $new_items );
			$container.masonry( 'appended', $new_items );
			collect_adjustPosts();

			// Force layout correction after 1500 milliseconds
			setTimeout( function () {
				$container.masonry();
			}, 500 );
		} );

		$( document ).ready( function() {
			collect_adjustPosts();
		} );

		$( window ).on( 'resize', function() {
			clearTimeout( resizeTimer );
			resizeTimer = setTimeout( function() {
				collect_adjustPosts();
			}, 250 );
		} );
	}

	function collect_adjustPosts() {
		$container.find( '.front-box' ).not( '.too-short' ).find( 'figure' ).not( '.has-post-thumbnail' ).each( function() {
			var $contain = $(this),
				$innerContainHeight = $('figcaption', this ).height(),
				$header = $('header', this),
				$headerHeight = $header.innerHeight(),
				$content = $('.entry-content', this),
				$contentHeight = $content.innerHeight(),
				$wholeContentHeight = $headerHeight + $contentHeight;

			if ( $innerContainHeight < $wholeContentHeight ) {
				$contain.parent().addClass('too-short');
			} else {
				$contain.parent().removeClass('too-short');
			}
		} );
	}
} )( jQuery );