<?php
/**
 * The template for displaying article headers
 *
 * @package Collect
 * @since Collect 1.0
 */

?>
	<header>
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
		endif;
		?>

		<div class="entry-meta">
			<span class="vcard author">
				<span class="fn"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( sprintf( __( 'Posts by %s', 'collect' ), get_the_author() ) ); ?>" rel="author"><?php echo get_the_author(); ?></a></span>
			</span>
			&nbsp;&nbsp;/&nbsp;&nbsp;
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="time"><time class="date published updated" datetime="<?php echo esc_attr( get_the_date( 'Y-m-d' ) ); ?>"><?php echo get_the_date(); ?></time></a>

			<?php if ( comments_open() ) { ?>
				&nbsp;&nbsp;/&nbsp;&nbsp;<span class="comment-count"><?php comments_popup_link( __( '0 Comments', 'collect' ), __( '1 Comment', 'collect' ), __( '% Comments', 'collect' ), '', '' ); ?></span>
			<?php } ?>
		</div>
	</header>